Main Wallet Balance Check API
Retrieve the balance of main wallet. This endpoint allows you to check the current balance of main wallet.
GET /api/checkMainWallet
Example: https://dashboard.mpluse.in/public/api/checkMainWallet?PayoutType=Main_Wallet_Balance
Headers
[
'Token: gPISBVF2qCfXS3HZQxs7e4WD0MQPGH7Affffdfddffd3443',
'MID: oVsspt00008256454dffdffdrr',
'Content-Type: application/json'
]
Request Query Parameters
'PayoutType': 'Main_Wallet_Balance'
Response Body
Fetched Successfully :
{
"error": false,
"status_code": 200,
"status": "Success",
"mainwallet": "4765.00",
"message": "Success.",
}
Wallet Not Found :
{
"error": true,
"status_code": 404,
"status": "NOT FOUND",
"message": "Data not found, please contact administrative !!.",
}
MID/Token Mismatched/Not Exist :
{
"error": true,
"status_code": 401,
"status": "UNAUTHORIZED",
"message": "Authentication credentials are missing or invalid.
Please provide valid credentials to access the resource."
}
Invalid MID :
{
"error": true,
"status_code": 400,
"status": "BAD REQUEST",
"message": "Please Input Valid MID"
}
Payout Type Mismatched :
{
"error": true,
"status_code": 400,
"status": "BAD REQUEST",
"message": "Something went wrong, please input valid payout type"
}
Wallet Error Code
| Status Code | Status | Response Messages |
|---|---|---|
| 200 | SUCCESS | Wallet Show. |
| 422 | VALIDATION ERROR | Validation Error. |
| 400 | BAD REQUEST | Invalid Payout Type. |
| 400 | BAD REQUEST | Invalid MID. |
| 401 | UNAUTHORIZED | MID/Token Mismatched |
| 404 | NOT FOUND | Record Not Found |